INTERFACE
SUBROUTINE TRANSINV_MDL(PSPVOR,PSPDIV,PSPSP,PSPHV,PSPGFL,&
 & PGMV,PGMVS,PGFL,LDERR,LDFSCOMP) 
USE PARKIND1 ,ONLY : JPIM ,JPRB
LOGICAL, INTENT(IN) :: LDERR
LOGICAL, INTENT(IN) :: LDFSCOMP
REAL(KIND=JPRB), INTENT(IN) :: PSPSP(:)
REAL(KIND=JPRB), INTENT(IN) :: PSPVOR(:,:)
REAL(KIND=JPRB), INTENT(IN) :: PSPDIV(:,:)
REAL(KIND=JPRB), INTENT(IN) :: PSPHV(:,:,:)
REAL(KIND=JPRB), INTENT(IN) :: PSPGFL(:,:,:)
REAL(KIND=JPRB), INTENT(OUT) :: PGMVS(:,:,:)
REAL(KIND=JPRB), INTENT(OUT) :: PGMV(:,:,:,:)
REAL(KIND=JPRB), INTENT(OUT) :: PGFL(:,:,:,:)
END SUBROUTINE TRANSINV_MDL
END INTERFACE
